aboutsummaryrefslogtreecommitdiff
path: root/bash/bashrc.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-10-21 13:56:34 +1300
committerTom Ryder <tom@sanctum.geek.nz>2015-10-21 13:56:34 +1300
commit25abadc6b2603a9419834c46f17a35c57301d5a0 (patch)
treec3b701e01f0c44a69e2a967ed43a5ee6df609b69 /bash/bashrc.d
parentMove quoting into generating loop (diff)
downloaddotfiles-25abadc6b2603a9419834c46f17a35c57301d5a0.tar.gz
dotfiles-25abadc6b2603a9419834c46f17a35c57301d5a0.zip
Change COMP_REPLY to intended COMP_WORDS
Diffstat (limited to 'bash/bashrc.d')
-rw-r--r--bash/bashrc.d/path.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/bash/bashrc.d/path.bash b/bash/bashrc.d/path.bash
index fb91558b..4122b03d 100644
--- a/bash/bashrc.d/path.bash
+++ b/bash/bashrc.d/path.bash
@@ -186,7 +186,7 @@ _path() {
# Complete operation as first word
1)
for cmd in help list insert append remove set check ; do
- [[ $cmd == "${COMP_REPLY[COMP_CWORD]}"* ]] || continue
+ [[ $cmd == "${COMP_WORDS[COMP_CWORD]}"* ]] || continue
COMPREPLY=("${COMPREPLY[@]}" "$cmd")
done
;;